# $Revision: 1.8.2.1 $, $Date: 2007/02/14 14:31:05 $
%define		main_version		42
%define		daily_version		2565
%define		database_version	20070214
%define		_rel	2
Summary:	Virus databases for clamav
Summary(pl):	Bazy wirusw dla clamava
Name:		clamav-database
Version:	%{main_version}.%{daily_version}
Release:	%{database_version}.%{_rel}
License:	GPL
Group:		Applications/Databases
Source0:	http://db.local.clamav.net/daily.cvd
# Source0-md5:	c0d0e10b19e69b395da9721e01726964
Source1:	http://db.local.clamav.net/main.cvd
# Source1-md5:	7d561bd3e7982d899aa6221cd7619105
URL:		http://www.clamav.net/
BuildRequires:	file
Requires:	clamav
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Virus databases for clamav (updated %{database_version}).

%description -l pl
Bazy wirusw dla clamava (aktualizowane %{database_version}).

%prep
%setup -qcT
cp -a %{SOURCE0} %{SOURCE1} .

%build
main_version=$(file main.cvd | awk -F, '/version/{print $2}' | awk '{print $NF}')
daily_version=$(file daily.cvd | awk -F, '/version/{print $2}' | awk '{print $NF}')
if [ "$main_version" != %{main_version} ]; then
	: Update %%define main_version $main_version, and retry
	exit 1
fi
if [ "$daily_version" != %{daily_version} ]; then
	: Update %%define daily_version $daily_version, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/clamav
install *.cvd $RPM_BUILD_ROOT/var/lib/clamav

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p %{_sbindir}/clamav-post-updatedb

%files
%defattr(644,root,root,755)
%attr(644,clamav,root) %verify(not md5 mtime size) /var/lib/clamav/*.cvd

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clamav-database.spec,v $
Revision 1.8.2.1  2007/02/14 14:31:05  hawk
- reverted UTF-8 for Ac, release 2

Revision 1.8  2007/02/14 08:41:24  glen
- update to 42.2565

Revision 1.7  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2007/01/13 15:15:10  qboosh
- desc consistency

Revision 1.4  2006/12/27 11:57:46  glen
- let version be %{main_version}.%{daily_version}

Revision 1.3  2006/12/27 11:51:58  qboosh
- pl fix

Revision 1.2  2006/12/27 11:43:28  glen
- keep clamav-post-updatedb in main pkg; rel 1

Revision 1.1  2006/12/27 11:42:12  glen
- separated database from clamav.spec
- database updated to 20061227
